wake-up-neo.net

Ubuntu: pip funktioniert nicht mit Python3.4

Ich möchte, dass Pip auf meinem Ubuntu-PC funktioniert. pip scheint für python2.7 zu funktionieren, aber nicht für andere.

Hier ist das Problem:

$ pip
Traceback (most recent call last):
File "/usr/local/bin/pip", line 9, in <module>
load_entry_point('pip==1.4.1', 'console_scripts', 'pip')()
File "/usr/local/lib/python3.4/dist-packages/setuptools-1.1.5-py3.4.Egg /pkg_resources.py", line 357, in load_entry_point
def get_entry_info(dist, group, name):
File "/usr/local/lib/python3.4/dist-packages/setuptools-1.1.5-py3.4.Egg/pkg_resources.py", line 2394, in load_entry_point
break
File "/usr/local/lib/python3.4/dist-packages/setuptools-1.1.5-py3.4.Egg/pkg_resources.py", line 2108, in load
name = some.module:some.attr [extra1,extra2]
ImportError: No module named 'pip'

$ which pip
/usr/local/bin/pip

$ python2.7 -m pip //here can be just python, btw
Usage:   
/usr/bin/python2.7 -m pip <command> [options]
//and so on...

$ python3.4 -m pip
/usr/bin/python3.4: No module named pip

Von der Startseite / user /. Pip/pip.log:

Exception:
Traceback (most recent call last):
File "/usr/lib/python2.7/dist-packages/pip/basecommand.py", line 122, in main
status = self.run(options, args)
File "/usr/lib/python2.7/dist-packages/pip/commands/install.py", line 283, in run
requirement_set.install(install_options, global_options, root=options.root_path)
File "/usr/lib/python2.7/dist-packages/pip/req.py", line 1431, in install
requirement.uninstall(auto_confirm=True)
File "/usr/lib/python2.7/dist-packages/pip/req.py", line 598, in uninstall
paths_to_remove.remove(auto_confirm)
File "/usr/lib/python2.7/dist-packages/pip/req.py", line 1836, in remove
renames(path, new_path)
File "/usr/lib/python2.7/dist-packages/pip/util.py", line 295, in renames
shutil.move(old, new)
File "/usr/lib/python2.7/shutil.py", line 303, in move
os.unlink(src)
OSError: [Errno 13] Permission denied: '/usr/bin/pip'

Übrigens gibt es kein/usr/bin/pip.

Wie kann ich dieses Problem beheben, damit es normalerweise mit Pip und Python 3.4 funktioniert?.

Danke für die Aufmerksamkeit!

16
val_

Sie haben pip für Python 2 installiert, nicht jedoch Python 3.

Ubuntu verteilt die Pakete python-pip, python3-pip, python-setuptools und python3-setuptools, die Sie nach Bedarf installieren können (apt-get install etc). Beachten Sie anschließend, dass pip für Python 2 und pip3 für Python 3 installiert wird (ähnlich wie python und python3).

Setuptools könnte Pythons "build" -Prozess für Pakete bereitstellen und Pip stellt seinen "Installations" -Prozess bereit. Normalerweise möchten Sie beide anwesend sein.

Wenn Sie die neuesten Pip/Setuptools benötigen, können Sie diese jederzeit von PyPAs Bootstrap-Site erhalten:

$ curl https://bootstrap.pypa.io/get-pip.py | python3.4

Anschließend können Sie die neuesten Setuptools für den entsprechenden Python installieren, z

$ python{2.7,3.4} -m pip install -U setuptools

Wenn Sie versuchen, diese für das System Python zu installieren, benötigen Sie möglicherweise root/Sudo.

17
Ivo
curl https://bootstrap.pypa.io/get-pip.py -o get-pip.py
Sudo python3 get-pip.py

bestätigen Sie die Installation:

pip3 --version    

oder

python3 -m pip --version

nun gehen Sie vor und installieren Sie Ihre gewünschten Pakete (zum Beispiel numpy) mit: 

pip3 install numpy

oder

python3 -m pip install numpy

Hier ist die Referenz: https://pip.pypa.io/de/stable/installing/

2
r2d2oid

Ich hatte ein ähnliches Problem, als ich diesen Befehl auf meinem Raspberry Pi ausführte

python3.4 -m pip install RPi.GPIO

und bekam diesen Fehler

/usr/bin/python3.4: No module named pip

gelöst durch die Installation von Python3-Pip

Sudo apt-get install python3-pip